Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer
Class AbstractProcessor

    java.lang.Object
      com.sun.xml.stream.buffer.AbstractCreatorProcessor
          com.sun.xml.stream.buffer.AbstractProcessor

Direct Known Subclasses:
  SAXBufferProcessor, StreamReaderBufferProcessor, StreamWriterBufferProcessor

    public abstract class AbstractProcessor

extends AbstractCreatorProcessor

Base class for classes that processes `XMLStreamBuffer` and produces infoset in API-specific form.

Field Summary
`protected static int[]` | `_aiiStateTable`
`protected XMLStreamBuffer` | `_buffer`
`protected static int[]` | `_eiiStateTable`
`protected boolean` | `_fragmentMode` True if this processor should create a fragment of XML, without the start/end document markers.
`protected static int[]` | `_niiStateTable`
`protected java.lang.StringBuilder` | `_qNameBuffer`
`protected boolean` | `_stringInterningFeature`
`protected int` | `_treeCount` Number of remaining XML element trees that should be visible through this `AbstractProcessor`.
`protected static int` | `STATE_ATTRIBUTE_LN`
`protected static int` | `STATE_ATTRIBUTE_LN_OBJECT`
`protected static int` | `STATE_ATTRIBUTE_P_U_LN`
`protected static int` | `STATE_ATTRIBUTE_P_U_LN_OBJECT`
`protected static int` | `STATE_ATTRIBUTE_U_LN`
`protected static int` | `STATE_ATTRIBUTE_U_LN_OBJECT`
`protected static int` | `STATE_ATTRIBUTE_U_LN_QN`
`protected static int` | `STATE_ATTRIBUTE_U_LN_QN_OBJECT`
`protected static int` | `STATE_COMMENT_AS_CHAR_ARRAY_COPY`
`protected static int` | `STATE_COMMENT_AS_CHAR_ARRAY_MEDIUM`
`protected static int` | `STATE_COMMENT_AS_CHAR_ARRAY_SMALL`
`protected static int` | `STATE_COMMENT_AS_STRING`
`protected static int` | `STATE_DOCUMENT`
`protected static int` | `STATE_DOCUMENT_FRAGMENT`
`protected static int` | `STATE_ELEMENT_LN`
`protected static int` | `STATE_ELEMENT_P_U_LN`
`protected static int` | `STATE_ELEMENT_U_LN`
`protected static int` | `STATE_ELEMENT_U_LN_QN`
`protected static int` | `STATE_END`
`protected static int` | `STATE_ILLEGAL`
`protected static int` | `STATE_NAMESPACE_ATTRIBUTE`
`protected static int` | `STATE_NAMESPACE_ATTRIBUTE_P`
`protected static int` | `STATE_NAMESPACE_ATTRIBUTE_P_U`
`protected static int` | `STATE_NAMESPACE_ATTRIBUTE_U`
`protected static int` | `STATE_PROCESSING_INSTRUCTION`
`protected static int` | `STATE_TEXT_AS_CHAR_ARRAY_COPY`
`protected static int` | `STATE_TEXT_AS_CHAR_ARRAY_MEDIUM`
`protected static int` | `STATE_TEXT_AS_CHAR_ARRAY_SMALL`
`protected static int` | `STATE_TEXT_AS_OBJECT`
`protected static int` | `STATE_TEXT_AS_STRING`

Fields inherited from class com.sun.xml.stream.buffer.AbstractCreatorProcessor
`_contentCharactersBuffer, _contentCharactersBufferPtr, _contentObjects, _contentObjectsPtr, _currentContentCharactersBufferFragment, _currentContentObjectFragment, _currentStructureFragment, _currentStructureStringFragment, _structure, _structurePtr, _structureStrings, _structureStringsPtr, CHAR_ARRAY_LENGTH_MEDIUM, CHAR_ARRAY_LENGTH_MEDIUM_SIZE, CHAR_ARRAY_LENGTH_SMALL, CHAR_ARRAY_LENGTH_SMALL_SIZE, CONTENT_TYPE_CHAR_ARRAY, CONTENT_TYPE_CHAR_ARRAY_COPY, CONTENT_TYPE_OBJECT, CONTENT_TYPE_STRING, FLAG_DOCUMENT_FRAGMENT, FLAG_PREFIX, FLAG_QUALIFIED_NAME, FLAG_URI, T_ATTRIBUTE, T_ATTRIBUTE_LN, T_ATTRIBUTE_LN_OBJECT, T_ATTRIBUTE_P_U_LN, T_ATTRIBUTE_P_U_LN_OBJECT, T_ATTRIBUTE_U_LN, T_ATTRIBUTE_U_LN_OBJECT, T_ATTRIBUTE_U_LN_QN, T_ATTRIBUTE_U_LN_QN_OBJECT, T_COMMENT, T_COMMENT_AS_CHAR_ARRAY, T_COMMENT_AS_CHAR_ARRAY_COPY, T_COMMENT_AS_CHAR_ARRAY_MEDIUM, T_COMMENT_AS_CHAR_ARRAY_SMALL, T_COMMENT_AS_STRING, T_DOCUMENT, T_DOCUMENT_FRAGMENT, T_ELEMENT, T_ELEMENT_LN, T_ELEMENT_P_U_LN, T_ELEMENT_U_LN, T_ELEMENT_U_LN_QN, T_END, T_END_OF_BUFFER, T_NAMESPACE_ATTRIBUTE, T_NAMESPACE_ATTRIBUTE_P, T_NAMESPACE_ATTRIBUTE_P_U, T_NAMESPACE_ATTRIBUTE_U, T_PROCESSING_INSTRUCTION, T_TEXT, T_TEXT_AS_CHAR_ARRAY, T_TEXT_AS_CHAR_ARRAY_COPY, T_TEXT_AS_CHAR_ARRAY_MEDIUM, T_TEXT_AS_CHAR_ARRAY_SMALL, T_TEXT_AS_OBJECT, T_TEXT_AS_STRING, T_UNEXPANDED_ENTITY_REFERENCE, TYPE_MASK, VALUE_TYPE_OBJECT, VALUE_TYPE_STRING`

Constructor Summary
`AbstractProcessor()`

Method Summary
`protected java.lang.String` | `getPrefixFromQName(java.lang.String qName)`
`protected java.lang.String` | `getQName(java.lang.String prefix, java.lang.String localName)`
`protected int` | `peekStructure()`
`protected int` | `readContentCharactersBuffer(int length)`
`protected char[]` | `readContentCharactersCopy()`
`protected java.lang.Object` | `readContentObject()`
`protected java.lang.String` | `readContentString()`
`protected int` | `readEiiState()`
`protected int` | `readStructure()`
`protected int` | `readStructure16()`
`protected java.lang.String` | `readStructureString()`
`protected void` | `setBuffer(XMLStreamBuffer buffer)` Deprecated. Use `setBuffer(XMLStreamBuffer, boolean)`
`protected void` | `setBuffer(XMLStreamBuffer buffer, boolean fragmentMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_ILLEGAL

    protected static final int STATE_ILLEGAL

See Also:
  Constant Field Values

### STATE_DOCUMENT

    protected static final int STATE_DOCUMENT

See Also:
  Constant Field Values

### STATE_DOCUMENT_FRAGMENT

    protected static final int STATE_DOCUMENT_FRAGMENT

See Also:
  Constant Field Values

### STATE_ELEMENT_U_LN_QN

    protected static final int STATE_ELEMENT_U_LN_QN

See Also:
  Constant Field Values

### STATE_ELEMENT_P_U_LN

    protected static final int STATE_ELEMENT_P_U_LN

See Also:
  Constant Field Values

### STATE_ELEMENT_U_LN

    protected static final int STATE_ELEMENT_U_LN

See Also:
  Constant Field Values

### STATE_ELEMENT_LN

    protected static final int STATE_ELEMENT_LN

See Also:
  Constant Field Values

### STATE_TEXT_AS_CHAR_ARRAY_SMALL

    protected static final int STATE_TEXT_AS_CHAR_ARRAY_SMALL

See Also:
  Constant Field Values

### STATE_TEXT_AS_CHAR_ARRAY_MEDIUM

    protected static final int STATE_TEXT_AS_CHAR_ARRAY_MEDIUM

See Also:
  Constant Field Values

### STATE_TEXT_AS_CHAR_ARRAY_COPY

    protected static final int STATE_TEXT_AS_CHAR_ARRAY_COPY

See Also:
  Constant Field Values

### STATE_TEXT_AS_STRING

    protected static final int STATE_TEXT_AS_STRING

See Also:
  Constant Field Values

### STATE_TEXT_AS_OBJECT

    protected static final int STATE_TEXT_AS_OBJECT

See Also:
  Constant Field Values

### STATE_COMMENT_AS_CHAR_ARRAY_SMALL

    protected static final int STATE_COMMENT_AS_CHAR_ARRAY_SMALL

See Also:
  Constant Field Values

### STATE_COMMENT_AS_CHAR_ARRAY_MEDIUM

    protected static final int STATE_COMMENT_AS_CHAR_ARRAY_MEDIUM

See Also:
  Constant Field Values

### STATE_COMMENT_AS_CHAR_ARRAY_COPY

    protected static final int STATE_COMMENT_AS_CHAR_ARRAY_COPY

See Also:
  Constant Field Values

### STATE_COMMENT_AS_STRING

    protected static final int STATE_COMMENT_AS_STRING

See Also:
  Constant Field Values

### STATE_PROCESSING_INSTRUCTION

    protected static final int STATE_PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### STATE_END

    protected static final int STATE_END

See Also:
  Constant Field Values

### _eiiStateTable

    protected static final int[] _eiiStateTable

### STATE_NAMESPACE_ATTRIBUTE

    protected static final int STATE_NAMESPACE_ATTRIBUTE

See Also:
  Constant Field Values

### STATE_NAMESPACE_ATTRIBUTE_P

    protected static final int STATE_NAMESPACE_ATTRIBUTE_P

See Also:
  Constant Field Values

### STATE_NAMESPACE_ATTRIBUTE_P_U

    protected static final int STATE_NAMESPACE_ATTRIBUTE_P_U

See Also:
  Constant Field Values

### STATE_NAMESPACE_ATTRIBUTE_U

    protected static final int STATE_NAMESPACE_ATTRIBUTE_U

See Also:
  Constant Field Values

### _niiStateTable

    protected static final int[] _niiStateTable

### STATE_ATTRIBUTE_U_LN_QN

    protected static final int STATE_ATTRIBUTE_U_LN_QN

See Also:
  Constant Field Values

### STATE_ATTRIBUTE_P_U_LN

    protected static final int STATE_ATTRIBUTE_P_U_LN

See Also:
  Constant Field Values

### STATE_ATTRIBUTE_U_LN

    protected static final int STATE_ATTRIBUTE_U_LN

See Also:
  Constant Field Values

### STATE_ATTRIBUTE_LN

    protected static final int STATE_ATTRIBUTE_LN

See Also:
  Constant Field Values

### STATE_ATTRIBUTE_U_LN_QN_OBJECT

    protected static final int STATE_ATTRIBUTE_U_LN_QN_OBJECT

See Also:
  Constant Field Values

### STATE_ATTRIBUTE_P_U_LN_OBJECT

    protected static final int STATE_ATTRIBUTE_P_U_LN_OBJECT

See Also:
  Constant Field Values

### STATE_ATTRIBUTE_U_LN_OBJECT

    protected static final int STATE_ATTRIBUTE_U_LN_OBJECT

See Also:
  Constant Field Values

### STATE_ATTRIBUTE_LN_OBJECT

    protected static final int STATE_ATTRIBUTE_LN_OBJECT

See Also:
  Constant Field Values

### _aiiStateTable

    protected static final int[] _aiiStateTable

### _buffer

    protected XMLStreamBuffer _buffer

### _fragmentMode

    protected boolean _fragmentMode

  True if this processor should create a fragment of XML, without the start/end document markers.

### _stringInterningFeature

    protected boolean _stringInterningFeature

### _treeCount

    protected int _treeCount

  Number of remaining XML element trees that should be visible through this `AbstractProcessor`.

### _qNameBuffer

    protected final java.lang.StringBuilder _qNameBuffer

Constructor Detail

### AbstractProcessor

    public AbstractProcessor()

Method Detail

### setBuffer

    protected final void setBuffer(XMLStreamBuffer buffer)

  Deprecated. Use `setBuffer(XMLStreamBuffer, boolean)`

### setBuffer

    protected final void setBuffer(XMLStreamBuffer buffer,
                                   boolean fragmentMode)

### peekStructure

    protected final int peekStructure()

### readStructure

    protected final int readStructure()

### readEiiState

    protected final int readEiiState()

### readStructure16

    protected final int readStructure16()

### readStructureString

    protected final java.lang.String readStructureString()

### readContentString

    protected final java.lang.String readContentString()

### readContentCharactersCopy

    protected final char[] readContentCharactersCopy()

### readContentCharactersBuffer

    protected final int readContentCharactersBuffer(int length)

### readContentObject

    protected final java.lang.Object readContentObject()

### getQName

    protected final java.lang.String getQName(java.lang.String prefix,
                                              java.lang.String localName)

### getPrefixFromQName

    protected final java.lang.String getPrefixFromQName(java.lang.String qName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD